Description

Hey,

i need some help for the kafo installer. I don't know if i'm the problem, but i tried to install a vanilla foreman 1.9.1 version on RHEL7.

As described i added the required channels and start the foreman-installer. But i got the following error:

[DEV] foreman01.#### $:/usr/share/foreman-installer/config $ foreman-installer -v

[ INFO 2015-09-15 12:07:00 verbose] Executing hooks in group boot

[ INFO 2015-09-15 12:07:00 verbose] All hooks in group boot finished

[ INFO 2015-09-15 12:07:00 verbose] Executing hooks in group init

[ INFO 2015-09-15 12:07:00 verbose] All hooks in group init finished

[ INFO 2015-09-15 12:07:00 verbose] Loading default values from puppet modules...

[ INFO 2015-09-15 12:07:00 verbose] ... finished

[ INFO 2015-09-15 12:07:00 verbose] Executing hooks in group pre_values

[ INFO 2015-09-15 12:07:00 verbose] All hooks in group pre_values finished

[ INFO 2015-09-15 12:07:00 verbose] Executing hooks in group pre_validations

[ INFO 2015-09-15 12:07:00 verbose] All hooks in group pre_validations finished

[ INFO 2015-09-15 12:07:00 verbose] Running validation checks

[ INFO 2015-09-15 12:07:00 verbose] Executing hooks in group pre_commit

[ INFO 2015-09-15 12:07:00 verbose] All hooks in group pre_commit finished

[ INFO 2015-09-15 12:07:00 verbose] Executing hooks in group pre

[ INFO 2015-09-15 12:07:00 verbose] All hooks in group pre finished

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ INFO 2015-09-15 12:07:01 verbose]  Loading facts

[ WARN 2015-09-15 12:07:03 verbose]  Config file /etc/puppet/hiera.yaml not found, using Hiera def

aults

[ERROR 2015-09-15 12:07:03 verbose]  This module only works on Debian or derivatives like Ubuntu a

t /usr/share/foreman-installer/modules/apt/manifests/init.pp:71 on node foreman01.####

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions/fail.rb:3:

in `block in <top (required)>'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:164:in 

`block (2 levels) in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:157:in 

`block in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/function.rb:42:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev
aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/ifstatement.rb:2

5:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

evaluate_classes'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions/include.rb

:31:in `block in <top (required)>'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:164:in 

`block (2 levels) in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:157:in 

`block in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/function.rb:42:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/ifstatement.rb:2

5:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'
[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

evaluate_classes'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:60:i

n `block (3 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `excep

twrap'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:43:i

n `block (2 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in 

`block in each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

evaluate_classes'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:60:i

n `block (3 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `excep

twrap'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:43:i

n `block (2 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in 

`block in each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev
aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:384:in `

block (4 levels) in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:383:in `

block (3 levels) in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:382:in `

each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:382:in `

block (2 levels) in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:381:in `

block in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `excep

twrap'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:380:in `

evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:403:in `

block (2 levels) in evaluate_generators'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:400:in `

block in evaluate_generators'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:397:in `

loop'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:397:in `

evaluate_generators'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:137:in `

block (2 levels) in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'
[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:137:in `

block in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet.rb:244:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:117:in `

compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:34:in `c

ompile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:95:in `block (2 levels) in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:93:in `block in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:161:in `block in be

nchmark'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/benchmark.rb:296:in `realtime'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:92:in `compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:52:in `find'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/indirection.rb:2

01:in `find'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:217:in

 `block in main'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet.rb:244:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:193:in

 `main'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:154:in

 `run_command'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `bloc

k (2 levels) in run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:507:in `plug

in_hook'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `bloc

k in run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:488:in `exit_on_fai

l'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:146:in

 `run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:92:in 

`execute'

[ INFO 2015-09-15 12:07:03 verbose] /usr/bin/puppet:8:in `<main>'

[ERROR 2015-09-15 12:07:03 verbose]  This module only works on Debian or derivatives like Ubuntu a

t /usr/share/foreman-installer/modules/apt/manifests/init.pp:71 on node foreman01.####

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions/fail.rb:3:

in `block in <top (required)>'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:164:in 

`block (2 levels) in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:157:in 

`block in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/function.rb:42:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression
.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/ifstatement.rb:2

5:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

evaluate_classes'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions/include.rb

:31:in `block in <top (required)>'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:164:in 

`block (2 levels) in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:157:in 

`block in newfunction'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/function.rb:42:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/ifstatement.rb:2

5:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

each'
[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

evaluate_classes'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:60:i

n `block (3 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `excep

twrap'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:43:i

n `block (2 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in 

`block in each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:233:in `

evaluate_classes'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:60:i

n `block (3 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `excep

twrap'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:43:i

n `block (2 levels) in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:i

n `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in 

`block in each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in 

`each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `collect'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:i

n `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:
13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:

13:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:11:in `block in evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression

.rb:10:in `evaluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeev

aluate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:127:in `ev

aluate_code'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `e

valuate'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:384:in `

block (4 levels) in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:383:in `

block (3 levels) in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:382:in `

each'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:382:in `

block (2 levels) in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:381:in `

block in evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `excep

twrap'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:380:in `

evaluate_definitions'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:403:in `

block (2 levels) in evaluate_generators'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:400:in `

block in evaluate_generators'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:397:in `

loop'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:397:in `

evaluate_generators'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:137:in `

block (2 levels) in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'
[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:137:in `

block in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet.rb:244:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:117:in `

compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:34:in `c

ompile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:95:in `block (2 levels) in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler/around_profil

er.rb:58:in `profile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `pro

file'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:93:in `block in compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:161:in `block in be

nchmark'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/benchmark.rb:296:in `realtime'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:92:in `compile'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler

.rb:52:in `find'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/indirector/indirection.rb:2

01:in `find'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:217:in

 `block in main'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet.rb:244:in `override'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:193:in

 `main'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:154:in

 `run_command'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `bloc

k (2 levels) in run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:507:in `plug

in_hook'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `bloc

k in run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:488:in `exit_on_fai

l'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:146:in

 `run'

[ INFO 2015-09-15 12:07:03 verbose] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:92:in 

`execute'

[ INFO 2015-09-15 12:07:03 verbose] /usr/bin/puppet:8:in `<main>'

[ INFO 2015-09-15 12:07:03 verbose] Puppet has finished, bye!

[ INFO 2015-09-15 12:07:03 verbose] Executing hooks in group post

  Something went wrong! Check the log for ERROR-level output

  * Foreman is running at https://foreman01.####

      Initial credentials are admin / 9vVnMNRr6uePJ45Z

  * Foreman Proxy is running at https://foreman01.####:8443

  * Puppetmaster is running at port 8140

  The full log is at /var/log/foreman-installer/foreman-installer.log

[ INFO 2015-09-15 12:07:03 verbose] All hooks in group post finished

[ERROR 2015-09-15 12:07:03 verbose] Repeating errors encountered during run:

[ERROR 2015-09-15 12:07:03 verbose]  This module only works on Debian or derivatives like Ubuntu a

t /usr/share/foreman-installer/modules/apt/manifests/init.pp:71 on node foreman01.####

[ERROR 2015-09-15 12:07:03 verbose]  This module only works on Debian or derivatives like Ubuntu a

t /usr/share/foreman-installer/modules/apt/manifests/init.pp:71 on node foreman01.####

 Is there a bug in the Kafo ? Or what is the mistake ?

I also tried to remove the answer.yml file - to exclude any problems chosen by me... but it returns in the same results...
Thanks for your help...

Greetings

Sven

History

#1 - 09/15/2015 06:34 AM - Sven Milinski

Figured out that it is the "/usr/share/foreman-installer/modules/foreman/manifests/install/repos/extra.pp" line 41 and below...

it comes from the params (/usr/share/foreman-installer/modules/foreman/manifests/params.pp) with the line:

$configure_brightbox_repo = ($::operatingsystem  'Ubuntu' and $::operatingsystemrelease  '12.04')

i don't know why its included - but it does in my szenario...

i outcomment the block in /usr/share/foreman-installer/modules/foreman/manifests/install/repos/extra.pp" line 41 and below and it now installing...

#2 - 09/15/2015 06:42 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Status changed from New to Feedback

The default should be false on RHEL7, so I guess the parameter might have been changed.  Set --foreman-configure-brightbox-repo=false to change

it in the answers file.

#3 - 05/17/2017 10:55 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing.
